int flag1 = 0;
int flag2 = 0;
int flag3 = 0;
char *str1 = "ICPDAS";
char *str2 = "";
char *str3 = "Hello World!";
char *str4 = "ICPDAS Product";


void CheckBoxWidget4OnChange(tWidget *pWidget, unsigned long bSelected)
{


  if(flag1 == 0)
  {
    flag1 =1 ;
    flag2 =0 ;
    flag3 =0;
    CheckBoxSelectedSet(&CheckBoxWidget4 , 1);
    WidgetPaint((tWidget*)&CheckBoxWidget4);
    CanvasTextSet(&LabelWidget6 ,str1 );
    WidgetPaint((tWidget*)&LabelWidget6);

    CheckBoxSelectedSet(&CheckBoxWidget5 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget5);
    CheckBoxSelectedSet(&CheckBoxWidget10 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget10);


  }
  else
  {

    flag1 = 0;
    flag2 = 0;
    flag3 = 0;
    CheckBoxSelectedSet(&CheckBoxWidget4 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget4);
    CanvasTextSet(&LabelWidget6 ,str2 );
    WidgetPaint((tWidget*)&LabelWidget6);

    CheckBoxSelectedSet(&CheckBoxWidget5 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget5);
    CheckBoxSelectedSet(&CheckBoxWidget10 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget10);


  }

}


void CheckBoxWidget5OnChange(tWidget *pWidget, unsigned long bSelected)
{

  if(flag2 == 0)
  {

    flag2 = 1;
    flag1 = 0;
    flag3 = 0;
    CheckBoxSelectedSet(&CheckBoxWidget5 , 1);
    WidgetPaint((tWidget*)&CheckBoxWidget5);
    CanvasTextSet(&LabelWidget6 ,str3 );
    WidgetPaint((tWidget*)&LabelWidget6);

    CheckBoxSelectedSet(&CheckBoxWidget4 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget4);
    CheckBoxSelectedSet(&CheckBoxWidget10 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget10);


  }
  else
  {

    flag2 = 0;
    flag1 = 0;
    flag3 = 0;
    CheckBoxSelectedSet(&CheckBoxWidget5 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget5);
    CanvasTextSet(&LabelWidget6 ,str2 );
    WidgetPaint((tWidget*)&LabelWidget6);

    CheckBoxSelectedSet(&CheckBoxWidget4 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget4);
    CheckBoxSelectedSet(&CheckBoxWidget10 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget10);


  }
}


void CheckBoxWidget10OnChange(tWidget *pWidget, unsigned long bSelected)
{
    if(flag3 == 0)
    {
       flag3 = 1 ;
       flag1 = 0 ;
       flag2 = 0 ;

    CheckBoxSelectedSet(&CheckBoxWidget10 , 1);
    WidgetPaint((tWidget*)&CheckBoxWidget10);
    CanvasTextSet(&LabelWidget6 ,str4 );
    WidgetPaint((tWidget*)&LabelWidget6);

    CheckBoxSelectedSet(&CheckBoxWidget4 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget4);
    CheckBoxSelectedSet(&CheckBoxWidget5 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget5);
    }
    else
    {
     flag1 = 0;
     flag2 = 0;
     flag3 = 0;

     CheckBoxSelectedSet(&CheckBoxWidget10 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget10);
    CanvasTextSet(&LabelWidget6 ,str2 );
    WidgetPaint((tWidget*)&LabelWidget6);

    CheckBoxSelectedSet(&CheckBoxWidget4 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget4);
    CheckBoxSelectedSet(&CheckBoxWidget5 , 0);
    WidgetPaint((tWidget*)&CheckBoxWidget5);
    }
}
